Summary: Host/service/network monitoring program plugins for Sensu/Icinga/Nagios etc..
Name: monitoring-plugins
Version: 2.0
Release: 1%{?dist}
License: GPL
Group: Applications/System
URL: https://www.monitoring-plugins.org

Packager: Rob Thomas <xrobau@gmail.com>

Source: https://www.monitoring-plugins.org/download/monitoring-plugins-2.0.tar.gz

BuildRequires: bind-utils
BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: mysql-devel
BuildRequires: ntp
BuildRequires: openldap-devel
BuildRequires: openssh-clients
BuildRequires: net-snmp-perl
BuildRequires: postgresql-devel
BuildRequires: net-snmp-utils
BuildRequires: python
#BuildRequires: qstat  # For game server checking.
#BuildRequires: radiusclient-ng-devel
BuildRequires: samba-client
BuildRequires: %{_bindir}/mailq

Requires: perl
Requires: net-snmp-perl
#Requires: postgresql-libs

AutoReqProv: no

%description
The Monitoring Plugins Development Team  maintain a bundle of more than
fifty standard plugins for Icinga, Naemon, Nagios, Shinken, Sensu, and
other monitoring applications. Each plugin is a stand-alone command line
tool that provides a specific type of check. Typically, your monitoring 
software runs these plugins to determine the current status of hosts and
services on your network.

%package setuid
Summary: Host/service/network monitoring program plugins that require setuid
Group: Applications/System

%description setuid
The Monitoring Plugins Development Team  maintain a bundle of more than
fifty standard plugins for Icinga, Naemon, Nagios, Shinken, Sensu, and
other monitoring applications. Each plugin is a stand-alone command line
tool that provides a specific type of check. Typically, your monitoring 
software runs these plugins to determine the current status of hosts and
services on your network.

This package contains the setuid plugins.

%prep
%setup -n monitoring-plugins-2.0

%build
PATH="/sbin:%{_sbindir}:$PATH" \
%configure --with-cgiurl="/monitoring/cgi-bin" --without-radius
%{__make} %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
make install-root DESTDIR=$RPM_BUILD_ROOT

# Sometimes it's there, sometime's its not. Sigh.
rm -f $RPM_BUILD_ROOT/usr/libexec/check_radius

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ABOUT-NLS ACKNOWLEDGEMENTS AUTHORS ChangeLog CODING COPYING FAQ INSTALL LEGAL
%doc NEWS README REQUIREMENTS SUPPORT THANKS
%{_libexecdir}/check_apt
%{_libexecdir}/check_breeze
%{_libexecdir}/check_by_ssh
%{_libexecdir}/check_clamd
%{_libexecdir}/check_cluster
%{_libexecdir}/check_dig
%{_libexecdir}/check_disk
%{_libexecdir}/check_disk_smb
%{_libexecdir}/check_dns
%{_libexecdir}/check_dummy
%{_libexecdir}/check_file_age
%{_libexecdir}/check_flexlm
%{_libexecdir}/check_ftp
%{_libexecdir}/check_hpjd
%{_libexecdir}/check_http
%{_libexecdir}/check_ide_smart
%{_libexecdir}/check_ifoperstatus
%{_libexecdir}/check_ifstatus
%{_libexecdir}/check_imap
%{_libexecdir}/check_ircd
%{_libexecdir}/check_jabber
%{_libexecdir}/check_ldap
%{_libexecdir}/check_ldaps
%{_libexecdir}/check_load
%{_libexecdir}/check_log
%{_libexecdir}/check_mailq
%{_libexecdir}/check_mrtg
%{_libexecdir}/check_mrtgtraf
%{_libexecdir}/check_mysql
%{_libexecdir}/check_mysql_query
%{_libexecdir}/check_nagios
%{_libexecdir}/check_nntp
%{_libexecdir}/check_nntps
%{_libexecdir}/check_nt
%{_libexecdir}/check_ntp
%{_libexecdir}/check_ntp_peer
%{_libexecdir}/check_ntp_time
%{_libexecdir}/check_nwstat
%{_libexecdir}/check_oracle
%{_libexecdir}/check_overcr
%{_libexecdir}/check_pgsql
%{_libexecdir}/check_ping
%{_libexecdir}/check_pop
%{_libexecdir}/check_procs
%{_libexecdir}/check_real
%{_libexecdir}/check_rpc
%{_libexecdir}/check_sensors
%{_libexecdir}/check_simap
%{_libexecdir}/check_smtp
%{_libexecdir}/check_snmp
%{_libexecdir}/check_spop
%{_libexecdir}/check_ssh
%{_libexecdir}/check_ssmtp
%{_libexecdir}/check_swap
%{_libexecdir}/check_tcp
%{_libexecdir}/check_time
%{_libexecdir}/check_udp
%{_libexecdir}/check_ups
%{_libexecdir}/check_users
%{_libexecdir}/check_wave
%{_libexecdir}/negate
%{_libexecdir}/urlize
%{_libexecdir}/utils.pm
%{_libexecdir}/utils.sh
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/monitoring-plugins.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/monitoring-plugins.mo

%exclude %{_libexecdir}/check_dhcp
%exclude %{_libexecdir}/check_icmp


%files setuid
%defattr(4755, root, root, 0755)
%dir %{_libexecdir}/
%{_libexecdir}/check_dhcp
%{_libexecdir}/check_icmp

%changelog
* Thu Jul 31 2014 Rob Thomas <xrobau@gmail.com> - 2.0.0-1
- First release
